#ifndef XANIMPARTTRANS_H
#define XANIMPARTTRANS_H

#include "xasset.h"
#include "xanimparttransdata.h"

class XAnimPartTrans : public XAsset
{
public:
    explicit XAnimPartTrans();
    ~XAnimPartTrans();

    void ParseData(QDataStream *aStream) override;

    quint16 GetSize() const;
    void SetSize(quint16 size);

    bool IsSmallTrans() const;
    void SetIsSmallTrans(bool isSmall);

    XAnimPartTransData& GetData();
    const XAnimPartTransData& GetData() const;
    void SetData(const XAnimPartTransData& data);

private:
    quint16 mSize = 0;
    bool mIsSmallTrans = false;
    XAnimPartTransData mData;
};

#endif // XANIMPARTTRANS_H




